summaryrefslogtreecommitdiff
path: root/gtk/aliasfilescheck.sh
diff options
context:
space:
mode:
authorMatthias Clasen <mclasen@redhat.com>2006-09-10 06:39:16 +0000
committerMatthias Clasen <matthiasc@src.gnome.org>2006-09-10 06:39:16 +0000
commitf45a35921aec248e0b8494a2145b907684a21fe5 (patch)
treeb21e00507445a307553ebd219326fe1fcbef362e /gtk/aliasfilescheck.sh
parent77cdc290b98acd6f77922645b2a2e53d750b332d (diff)
downloadgtk+-f45a35921aec248e0b8494a2145b907684a21fe5.tar.gz
Commit a patch by Behdad to fix typos, omissions and other errors in the
2006-09-10 Matthias Clasen <mclasen@redhat.com> * Commit a patch by Behdad to fix typos, omissions and other errors in the symbol aliasing, and add checks for local PLT entries. (#354687, Behdad Esfahbod)
Diffstat (limited to 'gtk/aliasfilescheck.sh')
-rwxr-xr-xgtk/aliasfilescheck.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/gtk/aliasfilescheck.sh b/gtk/aliasfilescheck.sh
new file mode 100755
index 0000000000..f350663fb7
--- /dev/null
+++ b/gtk/aliasfilescheck.sh
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+if test "x$gtk_all_c_sources" = x; then
+ echo gtk_all_c_sources variable not defined
+ exit 1
+fi
+
+grep 'IN_FILE' gtk.symbols | sed 's/.*(//;s/).*//' | grep __ | sort -u > expected-files
+grep '^ *# *define __' $gtk_all_c_sources | sed 's/.*define //;s/ *$//' | sort > actual-files
+
+diff expected-files actual-files && rm -f expected-files actual-files
+